export declare function reverseHex(s: string): string;
export declare function int2Hex(num: number | bigint, byteSize?: number, reverse?: boolean): string;
export declare function bool2Hex(bool: boolean): string;
export declare function hex2Bool(hex: string): boolean;
export declare function toHex(s: string): string;
export declare function fromHex(s: string): string;
/**
 * Converts an ASM number representation to a number
 * @param opcode OP_1 - OP_16 or hexadecimal number string
 * @returns parsed number
 */
export declare function asm2Int(asm: string): number;
export declare function hex2Int(hex: string): number;
export declare function hex2BigInt(hex: string): bigint;
export declare function hex2IntArray(hex: string, bytes?: number): number[];
export declare function splitHexByNumber(hex: string, length: number): string[];
export declare function getIntFromOP(op: string): number;
